[![PyPI](https://img.shields.io/pypi/v/pyDataverse.svg)](https://pypi.org/project/pyDataverse/) [![Build Status](https://travis-ci.com/AUSSDA/pyDataverse.svg?branch=master)](https://travis-ci.com/AUSSDA/pyDataverse) [![Coverage Status](https://coveralls.io/repos/github/AUSSDA/pyDataverse/badge.svg)](https://coveralls.io/github/AUSSDA/pyDataverse) [![Documentation Status](https://readthedocs.org/projects/pydataverse/badge/?version=latest)](https://pydataverse.readthedocs.io/en/latest) ![PyPI - Python Version](https://img.shields.io/pypi/pyversions/pydataverse.svg) [![GitHub](https://img.shields.io/github/license/aussda/pydataverse.svg)](https://opensource.org/licenses/MIT)

# pyDataverse

pyDataverse is a Python module for [Dataverse](http://dataverse.org).
It uses the [Dataverse API](http://guides.dataverse.org/en/latest/api/index.html)
and it's metadata data model to import, manipulate and export Dataverses, Datasets
and Datafiles.

**Features**

* Dataverse Api functionalities to create, get, publish and delete Dataverses, Datasets and Datafiles of your Dataverse instance via Api.
* Dataverse metadata model for easy manipulation and data conversion from and to other formats (e. g. Dataverse Api metadata JSON).
* Utils to support core functionalities.
* Custom exceptions
* Tests on [Travis CI](https://travis-ci.com/AUSSDA/pyDataverse) ([pytest](https://docs.pytest.org/en/latest/) + [tox](http://tox.readthedocs.io/)).
* [Documentation](https://pydataverse.readthedocs.io/en/latest/) (Sphinx, ReadTheDocs)
* Python 2 and 3 (>=2.7)
* Open Source ([MIT](https://opensource.org/licenses/MIT))

**Copyright**

* Sourcecode:  [![GitHub](https://img.shields.io/github/license/aussda/pydataverse.svg)](https://opensource.org/licenses/MIT)
* Documentation:  [![License: CC BY 4.0](https://licensebuttons.net/l/by/4.0/80x15.png)](https://creativecommons.org/licenses/by/4.0/)

## QUICKSTART

[See more](https://pydataverse.readthedocs.io/en/latest/index.html#quickstart).

## CONTRIBUTE

[See more](https://pydataverse.readthedocs.io/en/latest/index.html#contributor-guide).
